## suf-log

<span id="BADGE_GENERATION_MARKER_0"></span>
[![circleci](https://img.shields.io/circleci/build/github/TheRealSyler/suf-log)](https://app.circleci.com/github/TheRealSyler/suf-log/pipelines) [![Custom](https://codecov.io/gh/TheRealSyler/suf-log/branch/master/graph/badge.svg)](https://codecov.io/gh/TheRealSyler/suf-log) [![npmV](https://img.shields.io/npm/v/suf-log?color=green)](https://www.npmjs.com/package/suf-log) [![min](https://img.shields.io/bundlephobia/min/suf-log)](https://bundlephobia.com/result?p=suf-log) [![install](https://badgen.net/packagephobia/install/suf-log)](https://packagephobia.now.sh/result?p=suf-log) [![githubLastCommit](https://img.shields.io/github/last-commit/TheRealSyler/suf-log)](https://github.com/TheRealSyler/suf-log)
<span id="BADGE_GENERATION_MARKER_1"></span>

<span id="DOC_GENERATION_MARKER_0"></span>

# Docs

- **[interfaces](#interfaces)**

  - [LogStyle](#logstyle)
  - [ConverterInput](#converterinput)
  - [LogMessage](#logmessage)
  - [LogTable](#logtable)

- **[loggers](#loggers)**

  - [Log](#log)
  - [LogTableOptions](#logtableoptions)
  - [LogTable](#logtable)

- **[styler](#styler)**

  - [styler](#styler)

### interfaces

##### LogStyle

```typescript
/**
 * color/background/font-weight work in node and the browser, the other properties only work in the browser.
 */
type LogStyle = string | {
    background?: string;
    color?: string;
    padding?: string;
    margin?: string;
    border?: string;
    /** for bold text in node add the value 'bold' */
    'font-weight'?: FontWeightProperty;
    /** if true the style doesn't get reset in node. */
    [key: string]: number | boolean | string | undefined;
}
```

##### ConverterInput

```typescript
type ConverterInput = AcceptableTypes | Array<AcceptableTypes>;
```

##### LogMessage

```typescript
type LogMessage = {
    message: string;
    style?: LogStyle;
}
```

##### LogTable

```typescript
type LogTable = (number | string | LogMessage)[][];
```

### loggers

##### Log

```typescript
function Log(...messages: (string | LogMessage)[]): void;
```

##### LogTableOptions

```typescript
interface LogTableOptions {
    padding?: number;
    spacing?: number;
}
```

##### LogTable

```typescript
function LogTable(table: LogTable, options?: LogTableOptions): void;
```

### styler

##### styler

```typescript
/**
 * this function is not browser compatible*.
 * @example ```ts
 * console.log(styler('test', 'red'))
 * ```
 *
 * *you have to add the styles manually, use the Log function for browser compatibly.
 */
function styler(input: string, style?: LogStyle): string;
```

_Generated with_ **[suf-cli](https://www.npmjs.com/package/suf-cli)**
<span id="DOC_GENERATION_MARKER_1"></span>

### License

<span id="LICENSE_GENERATION_MARKER_0"></span>
Copyright (c) 2020 Leonard Grosoli Licensed under the MIT license.
<span id="LICENSE_GENERATION_MARKER_1"></span>
