"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addReset = exports.getNodeStyle = void 0;
var utils_1 = require("./utils");
function getNodeStyle(style) {
    if (typeof style === 'string') {
        return "\u001B[" + handleUndefined(utils_1.stringColorToAnsiColor('color', style)).replace(/;$/, '') + "m";
    }
    else {
        var codes = "" + (style['font-weight'] === 'bold' ? utils_1.ANSICodes('bold') : '') + handleUndefined(utils_1.stringColorToAnsiColor('color', style.color)) + handleUndefined(utils_1.stringColorToAnsiColor('background', style.background));
        return "\u001B[" + codes.replace(/;$/, '') + "m";
    }
}
exports.getNodeStyle = getNodeStyle;
function handleUndefined(input) {
    return input ? input : '';
}
function addReset(input) {
    return input + "\u001B[" + utils_1.ANSICodes('reset') + "m";
}
exports.addReset = addReset;
